#ifndef TYPES_H_
#define TYPES_H_

#define CSOH 0x01
#define CSTX 0x02
#define CETX 0x03
#define CEOT 0x04
#define CENQ 0x05
#define CACK 0x06
#define CBEL 0x07
#define CBS  0x08
#define CTAB 0x09
#define CLF  0x0A
#define CVT  0x0B
#define CFF  0x0C
#define CCR  0x0D
#define CSO  0x0E
#define CSI  0x0F
#define CDLE 0x10
#define CDC1 0x11
#define CDC2 0x12
#define CDC3 0x13
#define CDC4 0x14
#define CNAK 0x15
#define CSYN 0x16
#define CETB 0x17
#define CCAN 0x18
#define CEM  0x19
#define CSUB 0x1A
#define CESC 0x1B
#define CFS  0x1C
#define CGS  0x1D
#define CRS  0x1E
#define CUS  0x1F

#define u8 unsigned char
#define s8 signed char
#define u16 unsigned short
#define s16 signed short
#define u32 unsigned long
#define s32 signed long
#define u64 unsigned long long
#define s64 signed long long

#define false FALSE
#define true TRUE
#define bool u32

#endif /* TYPES_H_ */
